Summary: Revision Control System (RCS) file version management tools.
Name: rcs
Version: 5.7
Release: 2
Copyright: GPL
Group: Development/Tools
Source: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
URL: http://www.gnu.org/software/rcs
Prefix: %{_prefix}
Requires: diffutils
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%define DEFCC cc

%description
The Revision Control System (RCS) is a system for managing multiple
versions of files.  RCS automates the storage, retrieval, logging,
identification and merging of file revisions.  RCS is useful for text
files that are revised frequently (for example, programs,
documentation, graphics, papers and form letters).

The rcs package should be installed if you need a system for managing
different versions of files.

%prep
%setup -q

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if [[ "$CC" != "gcc" ]]
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
fi
export CFLAGS=$RPM_OPT_FLAGS

autoconf
%configure --prefix=%{_prefix} --with-diffutils

make

(cd src
    /usr/bin/strip ci co ident merge rcs rcsclean rcsdiff rcsmerge rlog
)

%install
/usr/bin/echo ${RPM_BUILD_ROOT}
rm -rf ${RPM_BUILD_ROOT}

make prefix=${RPM_BUILD_ROOT}/%{_prefix}  exec_prefix=${RPM_BUILD_ROOT}/%{_prefix} install

(cd $RPM_BUILD_ROOT
    mkdir -p usr/bin
    cd usr/bin
    ln -sf ../..%{_prefix}/bin/* .
)


%files
%defattr(-,root,root)
%doc NEWS REFS COPYING CREDITS
%{_bindir}/*
/usr/bin/*
%{_mandir}/man[15]/*

%clean
rm -rf ${RPM_BUILD_ROOT}

%changelog
* Mon Jan 29 2001 David Clissold <aixtoolbox-l@austin.ibm.com> 5.7-2
- Rebuild with IBM VAC compiler

* Mon Jan 29 2001 David Clissold <aixtoolbox-l@austin.ibm.com>
- Modified for AIX

* Fri Jan 05 2001 Preston Brown <pbrown@redhat.com>
- tmpfile security patch from Olaf Kirch <okir@lst.de>

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 15 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed the spec file; added BuildRoot

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
-built against glibc
